Package org.silverpeas.components.gallery.model

## Class MediaPK

- java.lang.Object
- - org.silverpeas.core.WAPrimaryKey
  - - org.silverpeas.components.gallery.model.MediaPK

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class MediaPK
      extends org.silverpeas.core.WAPrimaryKey

  It's the Node PrimaryKey object It identify a Node
  Version:
    1.0
  Author:
    Nicolas Eysseric
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.WAPrimaryKey

      `componentName, id, space`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaPK​(String id)` | Constructor which set only the id
    `MediaPK​(String id, String componentId)` |
    `MediaPK​(String id, String space, String componentName)` | Constructor which set id, space and component name
    `MediaPK​(String id, org.silverpeas.core.WAPrimaryKey pk)` | Constructor which set the id The WAPrimaryKey provides space and component name

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` | Check if an another object is equal to this object
    `String` | `getRootTableName()` | Return the object root table name
    `String` | `getTableName()` | Return the object table name
    `int` | `hashCode()` | Returns a hash code for the key

    - ### Methods inherited from class org.silverpeas.core.WAPrimaryKey

      `clone, getComponentName, getId, getInstanceId, getSpace, getSpaceId, getTableName, setComponentName, setId, setSpace, toResourceReference, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaPK

          public MediaPK​(String id)

      Constructor which set only the id
      Since:
        1.0

    - #### MediaPK

          public MediaPK​(String id,
                         String space,
                         String componentName)

      Constructor which set id, space and component name
      Since:
        1.0

    - #### MediaPK

          public MediaPK​(String id,
                         String componentId)

    - #### MediaPK

          public MediaPK​(String id,
                         org.silverpeas.core.WAPrimaryKey pk)

      Constructor which set the id The WAPrimaryKey provides space and component name
      Since:
        1.0

  - ### Method Detail

    - #### getRootTableName

          public String getRootTableName()

      Return the object root table name
      Overrides:
        `getRootTableName` in class `org.silverpeas.core.WAPrimaryKey`
      Returns:
        the root table name of the object
      Since:
        1.0

    - #### getTableName

          public String getTableName()

      Return the object table name
      Overrides:
        `getTableName` in class `org.silverpeas.core.WAPrimaryKey`
      Returns:
        the table name of the object
      Since:
        1.0

    - #### equals

          public boolean equals​(Object other)

      Check if an another object is equal to this object
      Specified by:
        `equals` in class `org.silverpeas.core.WAPrimaryKey`
      Parameters:
        `other` - the object to compare to this NodePK
      Returns:
        true if other is equals to this object
      Since:
        1.0

    - #### hashCode

          public int hashCode()

      Returns a hash code for the key
      Overrides:
        `hashCode` in class `org.silverpeas.core.WAPrimaryKey`
      Returns:
        A hash code for this object